﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using PLCLinker;

namespace dllTest
{
    class Program
    {
        static void Main(string[] args)
        {
            IEquipments p = new PLCLinker.PLCLinker();
            p.Start();
            Task.Factory.StartNew(()=> {
                string temp = "";
                while (true)
                {
                    if (p != null)
                    {
                        temp = "[ ";
                        PLCMessage msg = (PLCMessage)p.GetMessage();
                        for (int i = 0; i < msg.originalPlcList.Count(); i++)
                        {
                            temp += " <" + msg.originalPlcList[i].Address + "," + msg.originalPlcList[i].Value+"> ";
                            if (i + 1 % 15 == 0)
                            {
                                temp += "\n";
                            }
                        }
                        temp += " ]";
                        Console.WriteLine(temp);
                    }
                    Thread.Sleep(500);
                }
            });
            Console.ReadLine();
        }
    }
}
